Package org.gdal.gdal

## Class Dataset

- java.lang.Object
- - org.gdal.gdal.MajorObject
  - - org.gdal.gdal.Dataset

-     public class Dataset
      extends MajorObject

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `AbortSQL​()` |
    `int` | `AddBand​()` |
    `int` | `AddBand​(int datatype)` |
    `int` | `AddBand​(int datatype, java.util.Vector options)` |
    `int` | `AdviseRead​(int xoff, int yoff, int xsize, int ysize)` |
    `int` | `AdviseRead​(int xoff, int yoff, int xsize, int ysize, SWIGTYPE_p_int buf_xsize)` |
    `int` | `AdviseRead​(int xoff, int yoff, int xsize, int ysize, SWIGTYPE_p_int buf_xsize, SWIGTYPE_p_int buf_ysize)` |
    `int` | `AdviseRead​(int xoff, int yoff, int xsize, int ysize, SWIGTYPE_p_int buf_xsize, SWIGTYPE_p_int buf_ysize, SWIGTYPE_p_int buf_type)` |
    `int` | `AdviseRead​(int xoff, int yoff, int xsize, int ysize, SWIGTYPE_p_int buf_xsize, SWIGTYPE_p_int buf_ysize, SWIGTYPE_p_int buf_type, int[] band_list)` |
    `int` | `AdviseRead​(int xoff, int yoff, int xsize, int ysize, SWIGTYPE_p_int buf_xsize, SWIGTYPE_p_int buf_ysize, SWIGTYPE_p_int buf_type, int[] band_list, java.util.Vector options)` |
    `int` | `BuildOverviews​(int[] overviewlist)` |
    `int` | `BuildOverviews​(int[] overviewlist, ProgressCallback callback)` |
    `int` | `BuildOverviews​(java.lang.String resampling, int[] overviewlist)` |
    `int` | `BuildOverviews​(java.lang.String resampling, int[] overviewlist, ProgressCallback callback)` |
    `void` | `ClearStatistics​()` |
    `int` | `CommitTransaction​()` |
    `Layer` | `CopyLayer​(Layer src_layer, java.lang.String new_name)` |
    `Layer` | `CopyLayer​(Layer src_layer, java.lang.String new_name, java.util.Vector options)` |
    `Layer` | `CreateLayer​(java.lang.String name)` |
    `Layer` | `CreateLayer​(java.lang.String name, SpatialReference srs)` |
    `Layer` | `CreateLayer​(java.lang.String name, SpatialReference srs, int geom_type)` |
    `Layer` | `CreateLayer​(java.lang.String name, SpatialReference srs, int geom_type, java.util.Vector options)` |
    `int` | `CreateMaskBand​(int nFlags)` |
    `void` | `delete​()` |
    `int` | `DeleteLayer​(int index)` |
    `Layer` | `ExecuteSQL​(java.lang.String statement)` |
    `Layer` | `ExecuteSQL​(java.lang.String statement, Geometry spatialFilter)` |
    `Layer` | `ExecuteSQL​(java.lang.String statement, Geometry spatialFilter, java.lang.String dialect)` |
    `void` | `FlushCache​()` |
    `Driver` | `GetDriver​()` |
    `java.util.Vector` | `GetFileList​()` |
    `int` | `GetGCPCount​()` |
    `java.lang.String` | `GetGCPProjection​()` |
    `java.util.Vector` | `GetGCPs​()` |
    `void` | `GetGCPs​(java.util.Vector nGCPs)` |
    `SpatialReference` | `GetGCPSpatialRef​()` |
    `double[]` | `GetGeoTransform​()` |
    `void` | `GetGeoTransform​(double[] argout)` |
    `Layer` | `GetLayer​(int index)` |
    `Layer` | `GetLayer​(java.lang.String layerName)` |
    `Layer` | `GetLayerByIndex​(int index)` |
    `Layer` | `GetLayerByName​(java.lang.String layer_name)` |
    `int` | `GetLayerCount​()` |
    `Feature` | `GetNextFeature​()` |
    `java.lang.String` | `GetProjection​()` |
    `java.lang.String` | `GetProjectionRef​()` |
    `Band` | `GetRasterBand​(int nBand)` |
    `int` | `getRasterCount​()` |
    `int` | `GetRasterCount​()` |
    `int` | `getRasterXSize​()` |
    `int` | `GetRasterXSize​()` |
    `int` | `getRasterYSize​()` |
    `int` | `GetRasterYSize​()` |
    `Group` | `GetRootGroup​()` |
    `SpatialReference` | `GetSpatialRef​()` |
    `StyleTable` | `GetStyleTable​()` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayOut, int[] band_list)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayOut, int[] band_list, int nPixelSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayOut, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayOut, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayOut, int[] band_list)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayOut, int[] band_list, int nPixelSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayOut, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayOut, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayOut, int[] band_list)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayOut, int[] band_list, int nPixelSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayOut, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayOut, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayOut, int[] band_list)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayOut, int[] band_list, int nPixelSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayOut, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayOut, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayOut, int[] band_list)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayOut, int[] band_list, int nPixelSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayOut, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayOut, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |
    `int` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int[] band_list)` |
    `int` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int[] band_list, int nPixelSpace)` |
    `int` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `ReadRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |
    `void` | `ReleaseResultSet​(Layer layer)` |
    `void` | `ResetReading​()` |
    `int` | `RollbackTransaction​()` |
    `int` | `SetGCPs​(GCP[] nGCPs, java.lang.String pszGCPProjection)` |
    `int` | `SetGCPs2​(GCP[] nGCPs, SpatialReference hSRS)` |
    `int` | `SetGeoTransform​(double[] argin)` |
    `int` | `SetProjection​(java.lang.String prj)` |
    `void` | `SetSpatialRef​(SpatialReference srs)` |
    `void` | `SetStyleTable​(StyleTable table)` |
    `int` | `StartTransaction​()` |
    `int` | `StartTransaction​(int force)` |
    `boolean` | `TestCapability​(java.lang.String cap)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayIn, int[] band_list)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayIn, int[] band_list, int nPixelSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayIn, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, byte[] regularArrayIn, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayIn, int[] band_list)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayIn, int[] band_list, int nPixelSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayIn, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, double[] regularArrayIn, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayIn, int[] band_list)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayIn, int[] band_list, int nPixelSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayIn, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, float[] regularArrayIn, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayIn, int[] band_list)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayIn, int[] band_list, int nPixelSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayIn, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, int[] regularArrayIn, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayIn, int[] band_list)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayIn, int[] band_list, int nPixelSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayIn, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, short[] regularArrayIn, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |
    `int` | `WriteRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int[] band_list)` |
    `int` | `WriteRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int[] band_list, int nPixelSpace)` |
    `int` | `WriteRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int[] band_list, int nPixelSpace, int nLineSpace)` |
    `int` | `WriteRaster_Direct​(int xoff, int yoff, int xsize, int ysize, int buf_xsize, int buf_ysize, int buf_type, java.nio.ByteBuffer nioBuffer, int[] band_list, int nPixelSpace, int nLineSpace, int nBandSpace)` |

    - ### Methods inherited from class org.gdal.gdal.MajorObject

      `GetDescription, GetMetadata_Dict, GetMetadata_Dict, GetMetadata_List, GetMetadata_List, GetMetadataDomainList, GetMetadataItem, GetMetadataItem, SetDescription, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadata, SetMetadataItem, SetMetadataItem`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete​()

      Overrides:
        `delete` in class `MajorObject`

    - #### GetRasterXSize

          public int GetRasterXSize​()

    - #### GetRasterYSize

          public int GetRasterYSize​()

    - #### GetRasterCount

          public int GetRasterCount​()

    - #### BuildOverviews

          public int BuildOverviews​(int[] overviewlist,
                                    ProgressCallback callback)

    - #### BuildOverviews

          public int BuildOverviews​(int[] overviewlist)

    - #### GetGCPs

          public java.util.Vector GetGCPs​()

    - #### GetGeoTransform

          public double[] GetGeoTransform​()

    - #### GetLayer

          public Layer GetLayer​(int index)

    - #### GetLayer

          public Layer GetLayer​(java.lang.String layerName)

    - #### getRasterXSize

          public int getRasterXSize​()

    - #### getRasterYSize

          public int getRasterYSize​()

    - #### getRasterCount

          public int getRasterCount​()

    - #### GetDriver

          public Driver GetDriver​()

    - #### GetRasterBand

          public Band GetRasterBand​(int nBand)

    - #### GetRootGroup

          public Group GetRootGroup​()

    - #### GetProjection

          public java.lang.String GetProjection​()

    - #### GetProjectionRef

          public java.lang.String GetProjectionRef​()

    - #### GetSpatialRef

          public SpatialReference GetSpatialRef​()

    - #### SetProjection

          public int SetProjection​(java.lang.String prj)

    - #### SetSpatialRef

          public void SetSpatialRef​(SpatialReference srs)

    - #### GetGeoTransform

          public void GetGeoTransform​(double[] argout)

    - #### SetGeoTransform

          public int SetGeoTransform​(double[] argin)

    - #### BuildOverviews

          public int BuildOverviews​(java.lang.String resampling,
                                    int[] overviewlist,
                                    ProgressCallback callback)

    - #### BuildOverviews

          public int BuildOverviews​(java.lang.String resampling,
                                    int[] overviewlist)

    - #### GetGCPCount

          public int GetGCPCount​()

    - #### GetGCPProjection

          public java.lang.String GetGCPProjection​()

    - #### GetGCPSpatialRef

          public SpatialReference GetGCPSpatialRef​()

    - #### GetGCPs

          public void GetGCPs​(java.util.Vector nGCPs)

    - #### SetGCPs

          public int SetGCPs​(GCP[] nGCPs,
                             java.lang.String pszGCPProjection)

    - #### SetGCPs2

          public int SetGCPs2​(GCP[] nGCPs,
                              SpatialReference hSRS)

    - #### FlushCache

          public void FlushCache​()

    - #### AddBand

          public int AddBand​(int datatype,
                             java.util.Vector options)

    - #### AddBand

          public int AddBand​(int datatype)

    - #### AddBand

          public int AddBand​()

    - #### CreateMaskBand

          public int CreateMaskBand​(int nFlags)

    - #### GetFileList

          public java.util.Vector GetFileList​()

    - #### AdviseRead

          public int AdviseRead​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                SWIGTYPE_p_int buf_xsize,
                                SWIGTYPE_p_int buf_ysize,
                                SWIGTYPE_p_int buf_type,
                                int[] band_list,
                                java.util.Vector options)

    - #### AdviseRead

          public int AdviseRead​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                SWIGTYPE_p_int buf_xsize,
                                SWIGTYPE_p_int buf_ysize,
                                SWIGTYPE_p_int buf_type,
                                int[] band_list)

    - #### AdviseRead

          public int AdviseRead​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                SWIGTYPE_p_int buf_xsize,
                                SWIGTYPE_p_int buf_ysize,
                                SWIGTYPE_p_int buf_type)

    - #### AdviseRead

          public int AdviseRead​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                SWIGTYPE_p_int buf_xsize,
                                SWIGTYPE_p_int buf_ysize)

    - #### AdviseRead

          public int AdviseRead​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                SWIGTYPE_p_int buf_xsize)

    - #### AdviseRead

          public int AdviseRead​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize)

    - #### CreateLayer

          public Layer CreateLayer​(java.lang.String name,
                                   SpatialReference srs,
                                   int geom_type,
                                   java.util.Vector options)

    - #### CreateLayer

          public Layer CreateLayer​(java.lang.String name,
                                   SpatialReference srs,
                                   int geom_type)

    - #### CreateLayer

          public Layer CreateLayer​(java.lang.String name,
                                   SpatialReference srs)

    - #### CreateLayer

          public Layer CreateLayer​(java.lang.String name)

    - #### CopyLayer

          public Layer CopyLayer​(Layer src_layer,
                                 java.lang.String new_name,
                                 java.util.Vector options)

    - #### CopyLayer

          public Layer CopyLayer​(Layer src_layer,
                                 java.lang.String new_name)

    - #### DeleteLayer

          public int DeleteLayer​(int index)

    - #### GetLayerCount

          public int GetLayerCount​()

    - #### GetLayerByIndex

          public Layer GetLayerByIndex​(int index)

    - #### GetLayerByName

          public Layer GetLayerByName​(java.lang.String layer_name)

    - #### ResetReading

          public void ResetReading​()

    - #### GetNextFeature

          public Feature GetNextFeature​()

    - #### TestCapability

          public boolean TestCapability​(java.lang.String cap)

    - #### ExecuteSQL

          public Layer ExecuteSQL​(java.lang.String statement,
                                  Geometry spatialFilter,
                                  java.lang.String dialect)

    - #### ExecuteSQL

          public Layer ExecuteSQL​(java.lang.String statement,
                                  Geometry spatialFilter)

    - #### ExecuteSQL

          public Layer ExecuteSQL​(java.lang.String statement)

    - #### ReleaseResultSet

          public void ReleaseResultSet​(Layer layer)

    - #### GetStyleTable

          public StyleTable GetStyleTable​()

    - #### SetStyleTable

          public void SetStyleTable​(StyleTable table)

    - #### AbortSQL

          public int AbortSQL​()

    - #### StartTransaction

          public int StartTransaction​(int force)

    - #### StartTransaction

          public int StartTransaction​()

    - #### CommitTransaction

          public int CommitTransaction​()

    - #### RollbackTransaction

          public int RollbackTransaction​()

    - #### ClearStatistics

          public void ClearStatistics​()

    - #### ReadRaster_Direct

          public int ReadRaster_Direct​(int xoff,
                                       int yoff,
                                       int xsize,
                                       int ysize,
                                       int buf_xsize,
                                       int buf_ysize,
                                       int buf_type,
                                       java.nio.ByteBuffer nioBuffer,
                                       int[] band_list,
                                       int nPixelSpace,
                                       int nLineSpace,
                                       int nBandSpace)

    - #### ReadRaster_Direct

          public int ReadRaster_Direct​(int xoff,
                                       int yoff,
                                       int xsize,
                                       int ysize,
                                       int buf_xsize,
                                       int buf_ysize,
                                       int buf_type,
                                       java.nio.ByteBuffer nioBuffer,
                                       int[] band_list,
                                       int nPixelSpace,
                                       int nLineSpace)

    - #### ReadRaster_Direct

          public int ReadRaster_Direct​(int xoff,
                                       int yoff,
                                       int xsize,
                                       int ysize,
                                       int buf_xsize,
                                       int buf_ysize,
                                       int buf_type,
                                       java.nio.ByteBuffer nioBuffer,
                                       int[] band_list,
                                       int nPixelSpace)

    - #### ReadRaster_Direct

          public int ReadRaster_Direct​(int xoff,
                                       int yoff,
                                       int xsize,
                                       int ysize,
                                       int buf_xsize,
                                       int buf_ysize,
                                       int buf_type,
                                       java.nio.ByteBuffer nioBuffer,
                                       int[] band_list)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                byte[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace,
                                int nLineSpace,
                                int nBandSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                byte[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace,
                                int nLineSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                byte[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                byte[] regularArrayOut,
                                int[] band_list)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                short[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace,
                                int nLineSpace,
                                int nBandSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                short[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace,
                                int nLineSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                short[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                short[] regularArrayOut,
                                int[] band_list)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                int[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace,
                                int nLineSpace,
                                int nBandSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                int[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace,
                                int nLineSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                int[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                int[] regularArrayOut,
                                int[] band_list)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                float[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace,
                                int nLineSpace,
                                int nBandSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                float[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace,
                                int nLineSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                float[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                float[] regularArrayOut,
                                int[] band_list)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                double[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace,
                                int nLineSpace,
                                int nBandSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                double[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace,
                                int nLineSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                double[] regularArrayOut,
                                int[] band_list,
                                int nPixelSpace)

    - #### ReadRaster

          public int ReadRaster​(int xoff,
                                int yoff,
                                int xsize,
                                int ysize,
                                int buf_xsize,
                                int buf_ysize,
                                int buf_type,
                                double[] regularArrayOut,
                                int[] band_list)

    - #### WriteRaster_Direct

          public int WriteRaster_Direct​(int xoff,
                                        int yoff,
                                        int xsize,
                                        int ysize,
                                        int buf_xsize,
                                        int buf_ysize,
                                        int buf_type,
                                        java.nio.ByteBuffer nioBuffer,
                                        int[] band_list,
                                        int nPixelSpace,
                                        int nLineSpace,
                                        int nBandSpace)

    - #### WriteRaster_Direct

          public int WriteRaster_Direct​(int xoff,
                                        int yoff,
                                        int xsize,
                                        int ysize,
                                        int buf_xsize,
                                        int buf_ysize,
                                        int buf_type,
                                        java.nio.ByteBuffer nioBuffer,
                                        int[] band_list,
                                        int nPixelSpace,
                                        int nLineSpace)

    - #### WriteRaster_Direct

          public int WriteRaster_Direct​(int xoff,
                                        int yoff,
                                        int xsize,
                                        int ysize,
                                        int buf_xsize,
                                        int buf_ysize,
                                        int buf_type,
                                        java.nio.ByteBuffer nioBuffer,
                                        int[] band_list,
                                        int nPixelSpace)

    - #### WriteRaster_Direct

          public int WriteRaster_Direct​(int xoff,
                                        int yoff,
                                        int xsize,
                                        int ysize,
                                        int buf_xsize,
                                        int buf_ysize,
                                        int buf_type,
                                        java.nio.ByteBuffer nioBuffer,
                                        int[] band_list)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 byte[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace,
                                 int nLineSpace,
                                 int nBandSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 byte[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace,
                                 int nLineSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 byte[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 byte[] regularArrayIn,
                                 int[] band_list)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 short[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace,
                                 int nLineSpace,
                                 int nBandSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 short[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace,
                                 int nLineSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 short[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 short[] regularArrayIn,
                                 int[] band_list)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 int[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace,
                                 int nLineSpace,
                                 int nBandSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 int[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace,
                                 int nLineSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 int[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 int[] regularArrayIn,
                                 int[] band_list)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 float[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace,
                                 int nLineSpace,
                                 int nBandSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 float[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace,
                                 int nLineSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 float[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 float[] regularArrayIn,
                                 int[] band_list)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 double[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace,
                                 int nLineSpace,
                                 int nBandSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 double[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace,
                                 int nLineSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 double[] regularArrayIn,
                                 int[] band_list,
                                 int nPixelSpace)

    - #### WriteRaster

          public int WriteRaster​(int xoff,
                                 int yoff,
                                 int xsize,
                                 int ysize,
                                 int buf_xsize,
                                 int buf_ysize,
                                 int buf_type,
                                 double[] regularArrayIn,
                                 int[] band_list)